complexType "ExtensionEvent"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | adjustedExerciseDate?, adjustedExtendedTerminationDate?
</...>

Content Model Elements (2):

  adjustedExerciseDate (in extensionEvent), | adjustedExtendedTerminationDate

All Direct / Indirect Based Elements (1):

  extensionEvent

Known Usage Locations

- As direct type of elements (1):
  extensionEvent

Annotation
A type to define the adjusted dates associated with an individual extension event.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ExtensionEvent"> <xsd:sequence> <xsd:element minOccurs="0" name="adjustedExerciseDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedExtendedTerminationDate" type="xsd:date"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
adjustedExerciseDate

  Type: | xsd:date, predefined, simple content

  The date on which option exercise takes place. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedExerciseDate" type="xsd:date"/>

adjustedExtendedTerminationDate

  Type: | xsd:date, predefined, simple content

  The termination date if an extendible provision is exercised. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedExtendedTerminationDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.